org.apache.fop.util

## Class ConversionUtils

- java.lang.Object
- - org.apache.fop.util.ConversionUtils

    public final class ConversionUtils
    extends Object

This class contains utility methods for conversions, like a java.lang.String to an array of int or double.

### Method Summary

All Methods Static Methods Concrete Methods
`static double[]` `toDoubleArray(String baseString, String separatorPattern)` Converts the given base `String` into an array of `double`, splitting the base along the given separator pattern.
`static int[]` `toIntArray(String baseString, String separatorPattern)` Converts the given base `String` into an array of `int`, splitting the base along the given separator pattern.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toIntArray

    public static int[] toIntArray(String baseString,
                                   String separatorPattern)

Converts the given base `String` into an array of `int`, splitting the base along the given separator pattern. Note: this method assumes the input is a string containing only decimal integers, signed or unsigned, that are parsable by `java.lang.Integer.parseInt(String)`. If this is not the case, the resulting `NumberFormatException` will have to be handled by the caller.

Parameters:
  `baseString` - the base string
  `separatorPattern` - the pattern separating the integer values (if this is `null`, the baseString is parsed as one integer value)
Returns:
  an array of `int` whose size is equal to the number values in the input string; `null` if this number is equal to zero.

#### toDoubleArray

    public static double[] toDoubleArray(String baseString,
                                         String separatorPattern)

Converts the given base `String` into an array of `double`, splitting the base along the given separator pattern. Note: this method assumes the input is a string containing only decimal doubles, signed or unsigned, that are parsable by `java.lang.Double.parseDouble(String)`. If this is not the case, the resulting `NumberFormatException` will have to be handled by the caller.

Parameters:
  `baseString` - the base string
  `separatorPattern` - the pattern separating the integer values (if this is `null`, the baseString is parsed as one double value)
Returns:
  an array of `double` whose size is equal to the number values in the input string; `null` if this number is equal to zero.